Bug 789139

Summary: Unmet dependencies for some packages
Product: Red Hat Satellite 6 Reporter: Jay Greguske <jgregusk>
Component: Subscription ManagementAssignee: Jesus M. Rodriguez <jesusr>
Status: CLOSED ERRATA QA Contact: Og Maciel <omaciel>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 6.0.1CC: achan, bkearney, cpelland, dmacpher, jlaska, mmccune, omaciel
Target Milestone: UnspecifiedKeywords: Triaged, ZStream
Target Release: --   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: repoclosure_hash:ca78a05bede530961d9b8eddca23377bd59d400747b17ffd148435af35dfc66b repoclosure_hash:d2f38733db7f70df41f4a1b8b530412105ca9f94a8ac1352c652e4ea724084f1 repoclosure_hash:5ac4506cacb3bb2ff93b12199db5d8798cf993cbed08d5878b924b64bd78f562 repoclosure_hash:fa3ce0b0204b57dcf68278fe38546acdef869ee5c975bbb6d035f75da8fa099a repoclosure_hash:d68192cb9ac3fd9ef1cc9fe84ba26825e369518233b0dfd78a9e505fd151177c repoclosure_hash:af2b36cdde868ebbaf2c142a31fe596fd847b097e90897ce94ef45c81ba794e6 repoclosure_hash:201c557441a7df2f3c527ebd59d3b013bad877706055e1547b3b6bf8983220ff
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Early versions of System Engine did not meet certain dependencies. This fix revises the internal release processes to meet these dependencies.
Story Points: ---
Clone Of:
: 828315 (view as bug list) Environment:
Last Closed: 2012-12-04 14:42:01 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 828315    

Description Jay Greguske 2012-02-09 17:21:26 EST
Description of problem:

(System Engine does not have a "Distribution" or "Releng" component so I picked candlepin)

A repoclosure on the latest SE repo produces the following output:

package: candlepin-jboss-0.5.17-1.el6.noarch from file:///mnt/redhat/test/CloudForms/1.0-beta/2012-02-09.5/mash/se-rhel-6-override/x86_64
  unresolved deps: 
     jbossas >= 0:4.3
package: jboss-ejb-3.0-api-5.0.1-2.9.el6.noarch from file:///mnt/redhat/test/CloudForms/1.0-beta/2012-02-09.5/mash/se-rhel-6-override/x86_64
  unresolved deps: 
     jaxrpc_1_1_api
package: jboss-jacc-1.1-api-5.0.1-2.9.el6.noarch from file:///mnt/redhat/test/CloudForms/1.0-beta/2012-02-09.5/mash/se-rhel-6-override/x86_64
  unresolved deps: 
     jbossweb-servlet-2.5-api
package: jboss-jaxr-1.0-api-5.0.1-2.9.el6.noarch from file:///mnt/redhat/test/CloudForms/1.0-beta/2012-02-09.5/mash/se-rhel-6-override/x86_64
  unresolved deps: 
     jaf_1_0_2_api
package: ruby-json-gui-1.4.6-3.el6.x86_64 from file:///mnt/redhat/test/CloudForms/1.0-beta/2012-02-09.5/mash/se-rhel-6-override/x86_64
  unresolved deps: 
     ruby(gtk2)
package: rubygem-aws-2.4.2-2.1.el6_0.noarch from file:///mnt/redhat/test/CloudForms/1.0-beta/2012-02-09.5/mash/se-rhel-6-override/x86_64
  unresolved deps: 
     rubygem(right_http_connection)
package: rubygem-json-gui-1.4.6-3.el6.x86_64 from file:///mnt/redhat/test/CloudForms/1.0-beta/2012-02-09.5/mash/se-rhel-6-override/x86_64
  unresolved deps: 
     ruby(gtk2)

I suspect some of these are included just for the sake of building other packages, so I'm not sure we need all of them in the release, but I wanted to raise the concern and get some visibility.
Comment 3 Bryan Kearney 2012-04-27 13:03:05 EDT
package fun for 1.0.z should fix all these issues.
Comment 4 Bryan Kearney 2012-06-01 15:08:07 EDT
Fixed in the 0.6.X branch of candlepin.
Comment 7 James Laska 2012-06-20 08:55:58 EDT
Can someone clarify the intent of this bug report?  The initial description notes there are repoclosure problems with a previous CloudForms SE puddle.

For CloudForms-1.0, I believe the resolution was to blacklist the jbossas package.  The 1.0 SE puddle appears free of repoclosure problems [1]

For CloudForms-1.0.1, the fix for this bug appears to be the candlepin repackaging and update.  However, repoclosure problems remain in the current 1.0.1 puddle [2].

Since repoclosure problems remain, it appears this issue is not fixed.

[1] http://download.devel.redhat.com/rel-eng/CloudForms/1.0/rc1/logs/repoclosure-install.log

[2] http://download.devel.redhat.com/rel-eng/CloudForms/1.0.1/latest/logs/repoclosure-install.log
Comment 8 Jay Greguske 2012-06-25 14:54:23 EDT
When candlepin was broken out into constituent builds I suspect there is a lot there that we do not actually need to ship, which is why the current repoclosure output is misleading. I'll look at what SAM has and bring in what we need.
Comment 11 Og Maciel 2012-10-16 11:50:34 EDT
Verified:

* candlepin-0.7.8.1-1.el6cf.noarch
* candlepin-selinux-0.7.8.1-1.el6cf.noarch
* candlepin-tomcat6-0.7.8.1-1.el6cf.noarch
* katello-1.1.12-16.el6cf.noarch
* katello-all-1.1.12-16.el6cf.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1.el6cf.noarch
* katello-cli-1.1.8-7.el6cf.noarch
* katello-cli-common-1.1.8-7.el6cf.noarch
* katello-common-1.1.12-16.el6cf.noarch
* katello-configure-1.1.9-7.el6cf.noarch
* katello-glue-candlepin-1.1.12-16.el6cf.noarch
* katello-glue-pulp-1.1.12-16.el6cf.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.1.1-1.el6cf.noarch
* pulp-1.1.13-1.el6cf.noarch
* pulp-common-1.1.13-1.el6cf.noarch
* pulp-selinux-server-1.1.13-1.el6cf.noarch
Comment 13 errata-xmlrpc 2012-12-04 14:42:01 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html
Comment 14 Mike McCune 2013-08-16 14:17:03 EDT
getting rid of 6.0.0 version since that doesn't exist